#line 1 "C:/Users/Public/Projects/PIC/Projects/InterruptingUART/DriverForUART1_Code/mikroC PRO for PIC32/DriverForUART1_events_code.c"
#line 1 "c:/users/public/projects/pic/projects/interruptinguart/driverforuart1_code/mikroc pro for pic32/driverforuart1_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
};

extern TScreen Screen1;
extern TLabel Label1;
extern TLabel Label2;
extern TButton Button1;
extern TButton Button2;
extern TButton * const code Screen1_Buttons[2];
extern TLabel * const code Screen1_Labels[2];





void Button1OnClick();
void Button2OnClick();




extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Button1_Caption[];
extern char Button2_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void Check_TP();
void Start_TP();
#line 1 "c:/users/public/projects/pic/projects/interruptinguart/driverforuart1_code/mikroc pro for pic32/driverforuart1_resources.h"
const code char Tahoma19x23_Regular[];
const code char Tahoma11x13_Regular[];
#line 1 "c:/users/public/projects/pic/projects/interruptinguart/driverforuart1_code/mikroc pro for pic32/uart1.h"
#line 18 "c:/users/public/projects/pic/projects/interruptinguart/driverforuart1_code/mikroc pro for pic32/uart1.h"
typedef void (*tPointerFcn)(void);
typedef char *pnt;


 typedef struct rx_q_struct
 {
 int RxIn;
 int RxOut;
 char RxQueue[ 64 ];
 }rx_q_struct;


 typedef struct tx_q_struct
 {
 int TxIn;
 int TxOut;
 pnt TxQueue[ 32 ];
}tx_q_struct;




void UART1_SetBaud(void);
void UART1_StartRx(void);
void UART1_StartTx(void);

void InitUART1(void);
void UART1_TxQueueInit(void);
void UART1_RxQueueInit(void);

void UART1_SendMsg(char *s);
void UART1_CheckQueue(void);
void UART1_PutQueue(char *msg);
char UART1_GetChar(char *rxbyte);


void UART1_Rx(void);
void UART1_Rx1(void);
void UART1_Rx2(void);
#line 7 "C:/Users/Public/Projects/PIC/Projects/InterruptingUART/DriverForUART1_Code/mikroC PRO for PIC32/DriverForUART1_events_code.c"
char *Msg1 = "Hello\r\n";






void Button1OnClick() {
 UART1_PutQueue("How now brown cow?\r\n");
 UART1_PutQueue("Same way black bull.\r\n");
 UART1_PutQueue("Jack and Jill went up the hill\r\n");
 UART1_PutQueue("To fetche a pail of water.\r\n");
 UART1_PutQueue("Jack fell down and broke his crown.\r\n");
 Uart1_PutQueue("So, nothing of Jill's was broken.\r\n");
}

void Button2OnClick() {
 UART1_PutQueue(Msg1);
}
